Contoured circle reshaping crash

Bug #1428789 reported by WKraven on 2015-03-05
4
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
High
Alvin Penner

Bug Description

Attempts to reshape (or to move by altering coordinates) the contoured circle in the attached file reliably results in a crash.

Inkscape 0.91 r13725
Parabola GNU/Linux i686

WKraven (wxwacker32) wrote :
su_v (suv-lp) on 2015-03-05
tags: added: crash transformations
Changed in inkscape:
importance: Undecided → High
Liam P. White (liampwhite) wrote :

Confirmed on Ubuntu 14.04.2 LTS with Inkscape 0.91+devel r13964

Changed in inkscape:
status: New → Confirmed
Liam P. White (liampwhite) wrote :

Attaching backtrace on Ubuntu 14.04.2 with Inkscape 0.91+devel r13964.

jazzynico (jazzynico) wrote :

Reproduced on Crunchbang Waldorf, Inkscape trunk rev. 13966, but only when the "Scale stroke width" option is on.

No crash with 0.48.3.1. Instead, any attempt to resize the object adds a transform [matrix(0,0,0,0,0,0)] that makes it disappear.

Changed in inkscape:
status: Confirmed → Triaged
Alvin Penner (apenner) wrote :

on Windows 7, Inkscape 0.91, I get the crash message:

C:\Program Files\Inkscape>inkscape

** (inkscape.exe:3004): WARNING **: SPObject::updateDisplay(SPCtx *ctx, unsigned int flags) : throw in ((SPObjectClass *) G_OBJECT_GET_CLASS(this))->update(this, ctx, flags);
terminate called after throwing an instance of 'Geom::ContinuityError'
  what(): lib2geom exception: Non-contiguous path (src/2geom/path.cpp:91)

Emergency save activated!

su_v (suv-lp) wrote :

Findings as discussed with Liam P. White on irc (#inkscape-devel):

21:52 FailBit : probably still happens before this, but maybe: https://bazaar.launchpad.net/~inkscape.dev/inkscape/trunk/revision/12990
21:55 su_v : crashes with r12988 too
21:57 su_v : with r10795, no crash, but the resized object gets this transform:
21:57 su_v : matrix(0,0,0,0,0,0)
21:57 FailBit : the zero matrix
21:57 su_v : position, and size is zero (SVG origin)
21:57 FailBit : is not invertible
21:57 FailBit : has a lot of bad qualities
22:02 su_v : 12503 -> zero matrix, 12600 doesn't crash and scaling works
22:02 su_v : 12700 -> crash
22:03 su_v : 12650 -> no crash, scales as expected
22:07 su_v : 12676 -> no crash, scales (but stroke width seems different - doesn't show fill area anymore, unlike earlier builds)
22:07 su_v : 12678 -> crash
22:08 su_v : http://bazaar.launchpad.net/~inkscape.dev/inkscape/trunk/changes/12678
22:08 FailBit : 12677
22:08 FailBit : it wouldn't be 12678 I don't think
22:10 su_v : confirmed with different archived build (12676: no crash, 12677: crash)

Alvin Penner (apenner) wrote :

yes, the error is coming from the routine get_scale_transform_for_variable_stroke() in sp-item-transform.cpp, which I have modified in the past, I'll look into it...

Alvin Penner (apenner) wrote :

fix committed to rev 13970

Changed in inkscape:
status: Triaged → Fix Committed
su_v (suv-lp) on 2015-03-06
Changed in inkscape:
assignee: nobody → Alvin Penner (apenner)
milestone: none → 0.92
tags: added: backport-proposed
ScislaC (scislac) wrote :

trunk r13970 backported in 0.91.x r13758

Changed in inkscape:
milestone: 0.92 → 0.91.1
tags: removed: backport-proposed
jazzynico (jazzynico) on 2017-01-28
Changed in inkscape:
milestone: 0.91.1 → 0.92
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers